CreateComplianceInquiry - AWS Artifact
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

CreateComplianceInquiry

Create a new compliance inquiry.

Request Syntax

POST /v1/compliance-inquiry/create HTTP/1.1 Content-type: application/json { "clientToken": "string", "inquiryContent": { ... }, "name": "string", "supportMode": "string", "tags": { "string" : "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

clientToken

Idempotency token for the request.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\w\-]+

Required: No

inquiryContent

Content for creating a compliance inquiry - either a single query or file content.

Type: InquiryContent object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: Yes

name

Title of the inquiry.

Type: String

Required: Yes

supportMode

Support mode for inquiry processing. Only supported for file upload mode. Defaults to AI_ONLY if not specified.

Type: String

Valid Values: AI_ONLY | FULL_SUPPORT

Required: No

tags

Tags to associate with the compliance inquiry resource.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 50 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: [a-zA-Z0-9\s_.:/=+\-@]*

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Value Pattern: [a-zA-Z0-9\s_.:/=+\-@]*

Required: No

Response Syntax

HTTP/1.1 202 Content-type: application/json { "complianceInquirySummary": { "arn": "string", "createdAt": "string", "id": "string", "inputSource": "string", "name": "string", "status": "string", "statusMessage": "string" }, "tags": { "string" : "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

complianceInquirySummary

Summary information about the created compliance inquiry.

Type: InquirySummary object

tags

Tags associated with the compliance inquiry resource.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 50 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: [a-zA-Z0-9\s_.:/=+\-@]*

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Value Pattern: [a-zA-Z0-9\s_.:/=+\-@]*

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

User does not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

Request to create/modify content would result in a conflict.

resourceId

Identifier of the affected resource.

resourceType

Type of the affected resource.

HTTP Status Code: 409

InternalServerException

An unknown server exception has occurred.

retryAfterSeconds

Number of seconds in which the caller can retry the request.

HTTP Status Code: 500

ThrottlingException

Request was denied due to request throttling.

quotaCode

Code for the affected quota.

retryAfterSeconds

Number of seconds in which the caller can retry the request.

serviceCode

Code for the affected service.

HTTP Status Code: 429

ValidationException

Request fails to satisfy the constraints specified by an AWS service.

fieldList

The field that caused the error, if applicable.

reason

Reason the request failed validation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: